#
# spec file for package python-blessings
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%{?sle15_python_module_pythons}
Name:           python-blessings
Version:        1.7
Release:        3.6
Summary:        A thin, practical wrapper around terminal capabilities in Python
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/erikrose/blessings
Source:         https://files.pythonhosted.org/packages/source/b/blessings/blessings-%{version}.tar.gz
BuildRequires:  %{python_module curses}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module six}
BuildRequires:  python-rpm-macros
Requires:       python-curses
Requires:       python-six
BuildArch:      noarch
%python_subpackages

%description
Curses-like terminal wrapper with a display based on compositing 2d
arrays of text.

%prep
%setup -q -n blessings-%{version}

%build
%python_build

%install
%python_install

%check
# Can't be run because it expects real term where it can play with colours
#%%python_expand nosetests-%{$python_bin_suffix}

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/*

%changelog
* Fri Apr 21 2023 Dirk Müller <dmueller@suse.com>
- add sle15_python_module_pythons (jsc#PED-68)
* Thu Apr 13 2023 Matej Cepl <mcepl@suse.com>
- Make calling of %%{sle15modernpython} optional.
* Fri Mar 27 2020 Paolo Stivanin <info@paolostivanin.com>
- Remove nose dep since we are not running the tests
* Tue Jul 17 2018 tchvatal@suse.com
- Version update to 1.7:
  * py 2.6 and 3.3 dropped support
  * use six
* Sat Jan  6 2018 arun@gmx.de
- specfile:
  * update copyright year
- update to version 1.6.1:
  * Don’t crash if number_of_colors() is called when run in a
    non-terminal or when does_styling is otherwise false.
* Thu Aug 24 2017 jmatejek@suse.com
- singlespec auto-conversion
* Mon Aug 15 2016 badshah400@gmail.com
- Initial package
